' PSET.BAS
' This program demonstrates the PSET statement.

CLS

INPUT "Please enter the screen mode (0-13):  ", modeNum%
SCREEN modeNum%

LOCATE 22, 23
PRINT "Col: Row:"

FOR i% = 0 TO 200 STEP 20        ' values for xcoordinate
    FOR j% = 0 TO 135 STEP 15    ' values for ycoordinate
        PSET (i%, j%)            ' use default foreground color
        LOCATE 23, 1             ' position text cursor
        PRINT "Current coordinates: ("; i%; ","; j%; ")"
       
        FOR k% = 1 TO 2000       ' delay loop
        NEXT k%
       
        PSET (i%, j%), 0         ' use background color to erase
        LOCATE 23, 22
        PRINT SPACE$(13)         ' erase printed coordinates
    NEXT j%
NEXT i%



